> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getConversation

> Retrieves the [Conversation](#schema_conversation) object for a valid identifier.



## OpenAPI

````yaml chat-openapi.json GET /conversations/{id}
openapi: 3.0.0
info:
  title: Chat API
  description: API for the Chat Integration
  version: 0.0.0
servers:
  - url: https://chat.botpress.cloud/{webhookUrl}
    variables:
      webhookUrl:
        default: your_default_webhook_url
        description: The webhook URL
security: []
paths:
  /conversations/{id}:
    get:
      tags:
        - Endpoints
      summary: Get Conversation
      description: >-
        Retrieves the [Conversation](#schema_conversation) object for a valid
        identifier.
      operationId: getConversation
      parameters:
        - name: x-user-key
          in: header
          description: Authentication Key
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: Conversation id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Returns a [Conversation](#schema_conversation) object if a valid
            identifier was provided
          content:
            application/json:
              schema:
                type: object
                properties:
                  conversation:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Identifier of the [Conversation](#schema_conversation)
                      createdAt:
                        type: string
                        format: date-time
                        description: >-
                          Creation date of the
                          [Conversation](#schema_conversation) in ISO 8601
                          format
                      updatedAt:
                        type: string
                        format: date-time
                        description: >-
                          Updating date of the
                          [Conversation](#schema_conversation) in ISO 8601
                          format
                    required:
                      - id
                      - createdAt
                      - updatedAt
                    additionalProperties: false
                    x-readme-ref-name: Conversation
                required:
                  - conversation
                title: getConversationResponse
                additionalProperties: false
        default:
          description: >-
            Returns a [Conversation](#schema_conversation) object if a valid
            identifier was provided
          content:
            application/json:
              schema:
                type: object
                properties:
                  conversation:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Identifier of the [Conversation](#schema_conversation)
                      createdAt:
                        type: string
                        format: date-time
                        description: >-
                          Creation date of the
                          [Conversation](#schema_conversation) in ISO 8601
                          format
                      updatedAt:
                        type: string
                        format: date-time
                        description: >-
                          Updating date of the
                          [Conversation](#schema_conversation) in ISO 8601
                          format
                    required:
                      - id
                      - createdAt
                      - updatedAt
                    additionalProperties: false
                    x-readme-ref-name: Conversation
                required:
                  - conversation
                title: getConversationResponse
                additionalProperties: false

````